(* bla bla pour tourner dans le top level*)
#use "topfind";;
#thread;;
#require "zarith";;
#require "graphics";;
#require "core";;
#require "unix";;

#mod_use "geom_ops.ml";;
#mod_use "pliage.ml";;
#mod_use "affichage_test.ml";;
#mod_use "solution.ml";;
#mod_use "icfp_parse.ml";;
open Affichage_test;;
#install_printer Q.pp_print;;
open Core.Std;;

(* chargement d'un problème *)
let problem_directory = "../Problems";;
let problem_file id = Filename.concat problem_directory (Printf.sprintf "%04i.origami" id);;
let parse_problem i = Icfp_parse.parse (In_channel.read_all (problem_file i));;
let problem_1 = parse_problem 1;;

(* chargement d'une solution *)
let test_solution =
  {Solution.mapping=Geom_ops.mapping_of_int
       [(0,0), (0,0);
        (0,1), (0,1);
        (1,1), (1,1);
        (1,0), (1,0)];
   facets=[[0; 1; 2; 3]]}

(* verification de la conformite *)
let check  = Solution.check
