val delaunay: int ref (** 0: off; 1: line; 2: all *)
val skeleton: bool ref
val scale_user: float ref
val show_sol_destination: bool ref

val init : unit -> unit
val draw : Icfp_parse.problem -> unit
val draw_solution : Solution.solution -> unit
val draw_almost_solution : (Geom_ops.mapping * (int * int) list) -> unit

val draw_solution_et_probleme : Solution.solution -> Icfp_parse.problem -> unit

(* exception Timeout *)

val wait : ?timeout: float -> Icfp_parse.problem -> string -> (char * (string * 'a)) list -> 'a

val wait_solution_et_probleme : ?timeout: float -> Solution.solution ->
  Icfp_parse.problem -> string -> (char * (string * 'a)) list -> 'a

val interract : Solution.solution ref ->
  Icfp_parse.problem ref ->
  (Geom_ops.vertex -> Geom_ops.vertex -> unit) ->
  string -> (char * (string * (unit -> unit))) list -> unit
